Bug 1576410 - undercloud deployment fails b/c it tries to install openstack-kolla
Summary: undercloud deployment fails b/c it tries to install openstack-kolla
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 14.0 (Rocky)
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: Upstream M2
: 14.0 (Rocky)
Assignee: Steve Baker
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On: 1441750
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 11:58 UTC by Filip Hubík
Modified: 2019-01-11 11:50 UTC (History)
11 users (show)

Fixed In Version: instack-undercloud-9.0.1-0.20180501124241.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1441750
Environment:
Last Closed: 2019-01-11 11:49:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 456290 None None None 2018-05-09 11:58:22 UTC
OpenStack gerrit 456291 None None None 2018-05-09 11:58:22 UTC
OpenStack gerrit 568376 None None None 2018-05-14 21:26:25 UTC
Red Hat Product Errata RHEA-2019:0045 None None None 2019-01-11 11:50:35 UTC

Description Filip Hubík 2018-05-09 11:58:23 UTC
+++ This bug was initially created as a clone of Bug #1441750 +++

Description of problem:
The change in https://review.openstack.org/#/c/441959/ is breaking the downstream CI because it forces the installation of openstack-kolla on the undercloud.
However we won't ship openstack-kolla in RHOSP.
So this should not be mandatory but optional. Or not done by default.
All our CIs fails with:
Error: Execution of '/bin/yum -d 0 -e 0 -y install openstack-kolla' returned 1: Error: Nothing to do

See eg: https://thirdparty-logs.rdoproject.org/jenkins-osp-rhos-12-promote-puddle-virtbasic-1ctlr_1comp_64gb-11/undercloud/home/stack/undercloud_install.log.gz#_2017-04-12_03_31_10

Version-Release number of selected component (if applicable): 7.0.0-0.20170404000855.32620c5.el7ost

+++

Cloning bug because this appears alson in deployments of OSP14 during UC deployment:

2018-05-09 07:27:04,262 INFO: Notice: /Stage[main]/Ironic::Swift/Ironic_config[swift/user_domain_name]/ensure: created
2018-05-09 07:27:04,276 INFO: Notice: /Stage[main]/Ironic::Swift/Ironic_config[swift/project_domain_name]/ensure: created
2018-05-09 07:27:13,564 INFO: Notice: /Stage[main]/Main/Package[openstack-tempest]/ensure: created
2018-05-09 07:27:40,785 INFO: Notice: /Stage[main]/Main/Package[subunit-filters]/ensure: created
2018-05-09 07:27:40,806 INFO: Notice: /Stage[main]/Main/Group[docker]/ensure: created
2018-05-09 07:27:40,825 INFO: Notice: /Stage[main]/Main/User[docker_user]/groups: groups changed '' to ['docker']
2018-05-09 07:27:41,422 INFO: Error: Execution of '/bin/yum -d 0 -e 0 -y install openstack-kolla' returned 1: Error: Nothing to do
2018-05-09 07:27:41,423 INFO: Error: /Stage[main]/Tripleo::Profile::Base::Docker_registry/Package[openstack-kolla]/ensure: change from purged to present failed: Execution of '/bin/yum -d 0 -e 0 -y install openstack-kolla' returned 1: Error
: Nothing to do
2018-05-09 07:27:41,429 INFO: Notice: /Stage[main]/Tripleo::Profile::Base::Docker_registry/File[/etc/docker-distribution/registry/config.yml]/content: content changed '{md5}fcc7b86bd3a8b9b41577e3af434de461' to '{md5}944be5b9a5850417c064a8f
f5005e522'
2018-05-09 07:27:41,674 INFO: Notice: /Stage[main]/Tripleo::Profile::Base::Docker_registry/Service[docker-distribution]/ensure: ensure changed 'stopped' to 'running'
2018-05-09 07:27:47,128 INFO: Notice: /Stage[main]/Mistral/Package[mistral-common]/ensure: created
2018-05-09 07:27:49,285 INFO: Notice: /Stage[main]/Mistral::Api/Package[mistral-api]/ensure: created
2018-05-09 07:27:51,443 INFO: Notice: /Stage[main]/Mistral::Engine/Package[mistral-engine]/ensure: created
...
2018-05-09 07:37:49,598 INFO: + rc=6
2018-05-09 07:37:49,599 INFO: + set -e
2018-05-09 07:37:49,599 INFO: + echo 'puppet apply exited with exit code 6'
2018-05-09 07:37:49,599 INFO: puppet apply exited with exit code 6
2018-05-09 07:37:49,599 INFO: + '[' 6 '!=' 2 -a 6 '!=' 0 ']'
2018-05-09 07:37:49,599 INFO: + exit 6
2018-05-09 07:37:49,600 INFO: [2018-05-09 07:37:49,599] (os-refresh-config) [ERROR] during configure phase. [Command '['dib-run-parts', '/usr/libexec/os-refresh-config/configure.d']' returned non-zero exit status 1]
2018-05-09 07:37:49,600 INFO: 
2018-05-09 07:37:49,600 INFO: [2018-05-09 07:37:49,599] (os-refresh-config) [ERROR] Aborting...
2018-05-09 07:37:49,608 DEBUG: An exception occurred
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 2291, in install
    _run_orc(instack_env)
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 1598, in _run_orc
    _run_live_command(args, instack_env, 'os-refresh-config')
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 671, in _run_live_command
    raise RuntimeError('%s failed. See log for details.' % name)
RuntimeError: os-refresh-config failed. See log for details.
2018-05-09 07:37:49,609 ERROR: 
#############################################################################
Undercloud install failed.

Reason: os-refresh-config failed. See log for details.

See the previous output for details about what went wrong.  The full install
log can be found at /home/stack/.instack/install-undercloud.log.

#############################################################################

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 2291, in install
    _run_orc(instack_env)
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 1598, in _run_orc
    _run_live_command(args, instack_env, 'os-refresh-config')
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 671, in _run_live_command
    raise RuntimeError('%s failed. See log for details.' % name)
RuntimeError: os-refresh-config failed. See log for details.
Command '['instack-install-undercloud']' returned non-zero exit status 1

$ rpm -qa | grep -i tripleo
python-tripleoclient-heat-installer-10.0.1-0.20180501014219.240728f.el7ost.noarch
openstack-tripleo-puppet-elements-9.0.0-0.20180427082845.fae8944.el7ost.noarch
openstack-tripleo-validations-9.0.1-0.20180430170348.084aa99.el7ost.noarch
openstack-tripleo-heat-templates-9.0.0-0.20180501093218.7eb4eaf.el7ost.noarch
openstack-tripleo-common-9.0.2-0.20180501093723.cc190aa.el7ost.noarch
python-tripleoclient-10.0.1-0.20180501014219.240728f.el7ost.noarch
openstack-tripleo-common-containers-9.0.2-0.20180501093723.cc190aa.el7ost.noarch
puppet-tripleo-9.0.1-0.20180501034753.3c56ec2.el7ost.noarch
openstack-tripleo-image-elements-9.0.0-0.20180426101324.08096ad.el7ost.noarch
openstack-tripleo-ui-9.0.1-0.20180426172055.6e3af1d.el7ost.noarch
ansible-tripleo-ipsec-8.1.1-0.20180405121919.325d233.el7ost.noarch

Comment 6 Filip Hubík 2018-05-17 13:49:39 UTC
OSP14 deployment is passing (also without workaround) UC deploy stage with new puddle 2018-05-16.2 with instack-undercloud-9.0.1-0.20180501124241.el7ost present, marking this as Verified.

Comment 11 errata-xmlrpc 2019-01-11 11:49:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.